## BS model with a regime change
# First we define the diffusion coefficient as an R function
sigma <- function(x, sigma1, sigma2, tau)
  ifelse(x < tau, sigma1 * x, sigma2 * x)
## Define the SDE model
mod <- setModel(drift = "mu*x", 
                diffusion = "sigma(x, sigma1, sigma2, tau)")
# The remainder is analogous to the previous one!
## Define the sampling times
n <- 5000
samp <- setSampling(Terminal = 5, n = n) # the initial time = 0
## Define the statistical model
smod <- setYuima(model = mod, sampling = samp)
## simulation and plot
set.seed(123) # fix a seed
x0 <- 5 # the initial value of Xt
param <- list(mu = 0, sigma1 = 0.5, sigma2 = 2, tau = 1) # the true parameter values
# Simulation
res <- simulate(smod, xinit = x0, true.parameter = param)
plot(res) # plot