### Simulation of a time-inhomogeneous diffusion
## Define the SDE model
drift <- "t - x"
diffusion <- "x * (1- t^(1/3) + 0.5 * t^2)"
mod <- setModel(drift = drift, diffusion = diffusion, xinit = 1,
                time.variable = "t" # time variable (can be omitted because the default value is "t")
                )
## Define the sampling times
n <- 1000
samp <- setSampling(n = n) # Initial = 0 and Terminal = 1
## Define the statistical model
inhom <- setYuima(model = mod, sampling = samp)
## simulation and plot
## Note that the model contains no unknown parameter
## and the initial condition has already been specified
set.seed(117) # fix a seed
res <- simulate(inhom) # simulation
plot(res) # plot